%define siteperldir /usr/lib/perl5/site_perl/5.6.0/i386-linux
%define name mrtg
%define version 2.9.17
%define release 1mdk
%define location /var/www

Summary:   Multi Router Traffic Grapher
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:       http://www.mrtg.org/
Source0:   %{name}-%{version}.tar.bz2
Source1:   mrtg.cfg
#Patch0:    mrtg-contrib-paths.patch.bz2
Patch1:    mrtg.usr-local.patch.bz2
License: GPL
Group:     Networking/Other
Requires:  perl >= 5.003
Requires:  gd-devel >= 1.3
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing GIF
images which provide a LIVE visual representation of this traffic.

This patched version comes without the GIF89a (Interlace) feature, meaning
smaller (size) and faster (loading) gif's... (a trivial patch really)
Have fun

%prep

%setup -q 
#%patch0 -p1
#%patch1 -p1

echo "Removing..."
find . -name "*.orig" -print -exec rm -f {} \;

%build

%configure

%make prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT%{_prefix}/man $RPM_BUILD_ROOT%{_mandir}

find contrib | cpio -dpm $RPM_BUILD_ROOT%{_libdir}/mrtg2

install -d $RPM_BUILD_ROOT%{location}/html/mrtg
install -d $RPM_BUILD_ROOT%{siteperldir}
install -m 644 images/{*gif,*png} $RPM_BUILD_ROOT%{location}/html/mrtg
install -m 644 doc/*.html $RPM_BUILD_ROOT%{location}/html/mrtg/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{location}/html/mrtg/
install -m 755 -c lib/mrtg2/{Pod/*pm,*pm} $RPM_BUILD_ROOT%{siteperldir}/

rm -rf $RPM_BUILD_ROOT/%{_libdir}/mrtg2/{*gif,*png,Pod/*pm,*pm}
rm -rf $RPM_BUILD_ROOT/%{_libdir}/mrtg2/contrib/mrtgmk/src/

rm -rf $RPM_BUILD_DIR/%{name}-%{version}/doc/*.pod~

%post
 if ! grep '* * * * root %{_bindir}/mrtg' /etc/crontab > /dev/null; then
  echo "" >> /etc/crontab
  echo "0-59/5 * * * * root %{_bindir}/mrtg %{location}/html/mrtg/mrtg.cfg" >> /etc/crontab
 fi

%postun
if [ "$1" = "0" ]; then
        grep -v '* * * * root %{_bindir}/mrtg' /etc/crontab > /etc/crontab.new
        cp /etc/crontab.new /etc/crontab
fi

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES COPYING COPYRIGHT MANIFEST README doc/*
%dir %{location}/html/mrtg
%config(noreplace) %{location}/html/mrtg/mrtg.cfg
%{_bindir}/*
%{_libdir}/*
%{_mandir}/*/*
%{location}/html/mrtg/*.html
%{location}/html/mrtg/*.png
%{location}/html/mrtg/*.gif


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.9.17-1mdk
- 2.9.17

* Sun Sep  2 2001 Daouda LO <daouda@mandrakesoft.com> 2.9.7-2mdk
- rebuilt against gd.

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.9.7-1mdk
- updated 2.9.7

* Thu Dec 14 2000 Florin Grad <florin@mandrakesoft.com> 2.9.6-1mdk
- 2.9.6
- update the patch
- remove the mv command in postun (it's cp now :) rpmlint-wise

* Fri Oct 27 2000 Vincent Saugey <vince@mandrakesoft.com> 2.9.4-2mdk
- Adding man page in package !!!

* Fri Oct 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.9.4-1mdk
- updated to 2.9.4
- remove backup files

* Mon Oct 02 2000 Florin Grad <florin@mandrakesoft.com> 2.9.0pre24-1mdk
- lot of spec restructuring
- new beta version

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.8.12-1mdk
- BM
- macros
- v2.8.12

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.8.9-3mdk
- fix group
- clean spec

* Tue Dec 21 1999 Philippe Libat <philippe@mandrakesoft.com>
- [2.8.9]
  Install locales_mrtg.pm in %{siteperldir}

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reprefixing to /usr (RTFHS).

* Wed Jul 14 1999 Oden Eriksson <oden@kvikkjokk.com>
  [2.7.5]
  Moved over to /usr/local/
  Removed the stupid GIF89a feature.
  
* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
  [2.6.6]
  
* Wed Feb 17 1999 Henri Gomez <gomez@slib.fr>
  [2.6.4]
- removed mrtg-squid (specific OIDS)
- cfgmaker and indexmaker now /usr/bin
- libgd must be >= 1.3

* Fri Jan 29 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-3]
- Added mrtg-squid to monitor squid (specific OIDS)

* Fri Jan 28 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-2]
- applied squid snmp patch

* Wed Jan 27 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-1] 
- upgraded to 2.5.4c.
- added require libgd-devel

* Mon Nov 30 1998 Arne Coucheron <arneco@online.no>
  [2.5.4a-1]

* Thu Jun 18 1998 Arne Coucheron <arneco@online.no>
  [2.5.3-1]
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- using install -d in various places instead of cp
- added -q parameter to %setup
- removed older changelogs
